Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Kent Fredric" <kentfredric@...>
Subject: proj/perl-overlay:master commit in: dev-perl/Task-Kensho-Testing/
Date: Sun, 24 Jun 2012 21:13:09 +0000 (UTC)
commit:     c547ac3ad2f9dc8990d3ff0c1f47d20a28a5eddd
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Jun 24 20:59:55 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Jun 24 20:59:55 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=c547ac3a

[newversion] Task-Kensho-Testing-0.290.0

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/Task-Kensho-Testing/ChangeLog             |    8 +++-
 .../Task-Kensho-Testing-0.290.0.ebuild             |   51 ++++++++++++++++++++
 dev-perl/Task-Kensho-Testing/metadata.xml          |    6 ++-
 3 files changed, 63 insertions(+), 2 deletions(-)

diff --git a/dev-perl/Task-Kensho-Testing/ChangeLog b/dev-perl/Task-Kensho-Testing/ChangeLog
index 5a3c594..335e85e 100644
--- a/dev-perl/Task-Kensho-Testing/ChangeLog
+++ b/dev-perl/Task-Kensho-Testing/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for dev-perl/Task-Kensho-Testing
-# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Task-Kensho-Testing-0.290.0 (24 Jun 2012)
+
+  24 Jun 2012; Kent Fredric <kentfredric@...>
+  +Task-Kensho-Testing-0.290.0.ebuild, metadata.xml:
+  Version Bump
+
 *Task-Kensho-Testing-0.280.0 (26 Mar 2011)
 
   26 Mar 2011; Kent Fredric <kentfredric@...>

diff --git a/dev-perl/Task-Kensho-Testing/Task-Kensho-Testing-0.290.0.ebuild b/dev-perl/Task-Kensho-Testing/Task-Kensho-Testing-0.290.0.ebuild
new file mode 100644
index 0000000..0428108
--- /dev/null
+++ b/dev-perl/Task-Kensho-Testing/Task-Kensho-Testing-0.290.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ETHER
+MODULE_VERSION=0.29
+inherit perl-module
+
+DESCRIPTION='A glimpse at an Enlightened Perl (testing tools).'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+testsimple +testmost +testfatal +testpod +testpodcoverage \
+	 +testmemorycycle +develcover +testdeep +testrequires +testnowarnings"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.360.0
+}
+perl_meta_build() {
+	# ExtUtils::MakeMaker 6.36 ( 6.360.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.360.0
+}
+feature() {
+	local name="$1";
+	shift;
+	echo "$name? (";
+	echo "$@";
+	echo ")";
+}
+
+perl_meta_runtime() {
+	feature testsimple 			virtual/perl-Test-Simple
+	feature testmost   			dev-perl/Test-Most
+	feature testfatal			dev-perl/Test-Fatal
+	feature testpod 			dev-perl/Test-Pod
+	feature testpodcoverage 	dev-perl/Test-Pod-Coverage
+	feature testmemorycycle 	dev-perl/Test-Memory-Cycle
+	feature develcover 			dev-perl/Devel-Cover
+	feature testdeep 			dev-perl/Test-Deep
+	feature testrequires 		dev-perl/Test-Requires
+	feature testnowarnings 		dev-perl/Test-NoWarnings
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_build)
+	$(perl_meta_runtime)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do"

diff --git a/dev-perl/Task-Kensho-Testing/metadata.xml b/dev-perl/Task-Kensho-Testing/metadata.xml
index 31ac4d6..6058327 100644
--- a/dev-perl/Task-Kensho-Testing/metadata.xml
+++ b/dev-perl/Task-Kensho-Testing/metadata.xml
@@ -17,7 +17,11 @@
 			<pkg>dev-perl/Test-Pod-Coverage</pkg></flag>
         <flag name="testmemorycycle">Install
 			<pkg>dev-perl/Test-Memory-Cycle</pkg></flag>
-        <flag name="develcover">Install <pkg>dev-perl/Devel-Cover</pkg></flag>
+		<flag name="develcover">Install <pkg>dev-perl/Devel-Cover</pkg></flag>
+		<flag name="testfatal">Install <pkg>dev-perl/Test-Fatal</pkg></flag>
+		<flag name="testdeep">Install <pkg>dev-perl/Test-Deep</pkg></flag>
+		<flag name="testrequires">Install <pkg>dev-perl/Test-Requires</pkg></flag>
+		<flag name="testnowarnings">Install <pkg>dev-perl/Test-NoWarnings</pkg></flag>
     </use>
     <upstream>
         <remote-id type="cpan">Task-Kensho-Testing</remote-id>


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
proj/perl-overlay:master commit in: dev-perl/Task-Kensho-WebDev/
Next by thread:
proj/gentoo-packages:master commit in: gpackages/libs/package_info/, gpackages/libs/package_info/generic_metadata/
Previous by date:
proj/perl-overlay:master commit in: dev-perl/Dist-Zilla-Plugin-Git/
Next by date:
gentoo-x86 commit in profiles: ChangeLog


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.